<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org" xmlns:dt="http://www.thymeleaf.org/dandelion/datatables">
<head lang="en">
<meta charset="UTF-8" />
<title data-th-text="#{conversationtypes.overview}">Übersicht über Kontakttypen</title>
<link rel="stylesheet" href="/styles.css" data-th-href="@{/styles.css}" />
</head>
<body>
	<header>
		<p data-th-replace="fragments/nav::nav" />
	</header>

	<main>
	<form method="post" data-th-action="@{/coredata/conversationtypes/filter}" data-th-object="${conversationTypeFilter}">
		<fieldset>
			<legend data-th-text="#{conversationtypes.filter}">Kontakttypen filtern</legend>
			<th:block data-th-replace="fragments/filter::text(field='name', prefix='conversationtypes.')" />
			<th:block data-th-replace="fragments/filter::allowArchived" />
		</fieldset>
		<p data-th-replace="fragments/snippets::filterButton" />
	</form>

	<table class="datatable">
		<caption data-th-text="#{conversationtypes.overview}">Übersicht über Kontakttypen</caption>
		<thead>
			<tr>
				<th />
				<th />
				<th data-th-text="#{conversationtypes.name}">Name</th>
				<th data-th-text="#{conversationtypes.description}">Beschreibung</th>
			</tr>
		</thead>
		<tbody>
			<tr data-th-each="conversationType : ${conversationTypes}">
				<td><a data-th-replace="fragments/snippets::edit('/coredata/conversationtypes', ${conversationType.id})"></a></td>
				<td><a data-th-replace="fragments/snippets::archive('/coredata/conversationtypes', ${conversationType.id})"></a></td>
				<td data-th-text="${conversationType.name}">Name</td>
				<td data-th-text="${conversationType.description}">Beschreibung</td>
			</tr>
		</tbody>
		<tfoot>
			<tr>
				<td colspan="5"><a data-th-href="@{/coredata/conversationtypes/create}" data-th-text="#{conversationtypes.create}">create</a></td>
			</tr>
		</tfoot>
	</table>
	</main>
	<footer></footer>
</body>
</html>